<?php

namespace Ulmus\Query;

class Limit extends Fragment {

    public int $order = 80;

    public int $limit = 0;
    
    public string $keyword = "LIMIT %d";

    public function set($limit) : self
    {
        $this->limit = $limit;
        
        return $this;
    }

    public function render() : string
    {
        return $this->renderSegments([
            sprintf($this->keyword, $this->limit)
        ]);
    }
}
